﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

a.navbar-brand {
    white-space: normal;
    text-align: center;
    word-break: break-all;
}

/* Provide sufficient contrast against white background */
a {
    color: #0366d6;
}
.disabled-row {
    opacity: 0.5;
    pointer-events: none;
}
/* remove bhrugen
    .btn-primary {
  color: #fff;
  background-color: #2c3e50;
  border-color: #1861ac;
}

.nav-pills .nav-link.active, .nav-pills .show > .nav-link {
  color: #fff;
  
  //background-color: #1b6ec2;
background-color: #2c3e50;
border-color: #1861ac;
}

*/
.btn {
    font-size: 15px;
}
/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}
.table-info {
    --bs-table-bg: #ddd;
    --bs-table-striped-bg: #dfc9e3;
    --bs-table-striped-color: #000;
    --bs-table-active-bg: #d4bfd7;
    --bs-table-active-color: #000;
    --bs-table-hover-bg: #d9c4dd;
    --bs-table-hover-color: #000;
    color: #000;
    border-color: #d4bfd7;
}

.form-control:disabled, .form-control[readonly] {
    background-color: #f8f8f8;
    opacity: 1;
}

.form-control {
    padding: 0.4rem 0;
}

.border-top {
    border-top: 1px solid #e5e5e5;
}

.border-bottom {
    border-bottom: 1px solid #e5e5e5;
}

.box-shadow {
    box-shadow: 0 .25rem .75rem rgba(0, 0, 0, .05);
}

button.accept-policy {
    font-size: 1rem;
    line-height: inherit;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}


.boxContainer {
    display: table;
}

.box {
    width: 200px;
    height: 200px;
    background: #0088cc;
    padding: 2%;
    display: table-cell;
    text-align: center;
    vertical-align: bottom;
}

#header {
    position: relative;
    min-height: 150px;
}

#header-content {
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
}



#logreg-forms {
    width: 412px;
    margin: 10vh auto;
    background-color: white;
    box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
    transition: all 0.3s cubic-bezier(.25,.8,.25,1);
}

    #logreg-forms form {
        width: 100%;
        max-width: 410px;
        padding: 15px;
        margin: auto;
    }

    #logreg-forms .form-control {
        position: relative;
        box-sizing: border-box;
        height: auto;
        padding: 10px;
        font-size: 16px;
    }

        #logreg-forms .form-control:focus {
            z-index: 2;
        }

    #logreg-forms .form-signin input[type="email"] {
        margin-bottom: -1px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    #logreg-forms .form-signin input[type="password"] {
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

    #logreg-forms .social-login {
        width: 390px;
        margin: 0 auto;
        margin-bottom: 14px;
    }

    #logreg-forms .social-btn {
        font-weight: 100;
        color: white;
        width: 190px;
        font-size: 0.9rem;
    }

    #logreg-forms a {
        display: block;
        padding-top: 10px;
        color: lightseagreen;
    }

#logreg-form .lines {
    width: 200px;
    border: 1px solid red;
}


#logreg-forms button[type="submit"] {
    margin-top: 10px;
}

.facebook-btn {
    background-color: #3C589C;
    color: white;
}

.google-btn {
    background-color: #dd4b39;
    color: white;
}

#logreg-forms .form-reset, #logreg-forms .form-signup {
    display: none;
}

    #logreg-forms .form-signup .social-btn {
        width: 210px;
    }

    #logreg-forms .form-signup input {
        margin-bottom: 2px;
    }

.form-signup .social-login {
    width: 210px !important;
    margin: 0 auto;
}

.select2-container .select2-selection--single {
    box-sizing: border-box;
    cursor: pointer;
    display: block;
    height: 39px !important;
    user-select: none;
    -webkit-user-select: none;
    
}

/*Imagen de cargando*/
.loader {
    position: fixed;
    margin: auto;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background: url('/imagenes/Material/loading-image.gif') 50% 50% no-repeat rgb(249,249,249);
    opacity: .8;
}

.linea {
    display: inline-block;
}

.flexrow {
    display: -webkit-box;
    display: -webkit-flex;
    display: flex !important;
}

.flexrow > div {
    -webkit-box-flex: 1;
    -webkit-flex: 1;
    flex: 1;
}
@media print {
    body {
        margin-top: 0 !important;
    }
}

.navbar-nav li:hover > ul.dropdown-menu {
    display: block;
}

.dropdown-submenu {
    position: relative;
}

    .dropdown-submenu > .dropdown-menu {
        top: 0;
        left: 100%;
        margin-top: -6px;
    }

/* rotate caret on hover */
.dropdown-menu > li > a:hover:after {
    text-decoration: underline;
    transform: rotate(-90deg);
} 


